Estimate Duty
Estimate import duty required for a shipment.
/duties
POST https://api.terminal.africa/v1/duties/calculate
This endpoint allows you to estimate the expected import duty on a parcel. Please see API Pricing for usage fees.
Headers
Authorization*
String
Set value to Bearer SECRET_KEY
Content-Type
String
Set value to application/json
Request Body
shipment_id
string
Unique reference of shipment.
carrier
string
Indicate the carrier slug for the carrier that will process the shipment. e.g. fedex, dhl-ng.
currency
string
Currency for rates. Defaults to NGN. Available options are AED, AUD, CAD, CNY, EUR, GBP, GHS, HKD, KES, NGN, TZS, UGX, USD, ZAR.
pickup_address
object
Pickup Address Object. Refer to Create Address under Addresses to see attributes required to create a pickup address. Required if shipment id does not exist
delivery_address
object
Delivery Address Object. Refer to Create Address under Addresses to see attributes required to create a delivery address. Required if shipment id does not exist
parcels
array
Array of Parcel Object. Refer to Create Parcel under Parcels API Endpoints to see attributes required. Required if shipment id does not exist
{
"status": true,
"message": "Duty estimated successfully",
"data": {
"applied": false,
"breakdown": {
"additional_duty_122 (parcel 1)": 176.64,
"additional duty fee (minimum fee)": 61646.51
},
"date_applied": null,
"amount": 61823.15,
"currency": "NGN",
"duty_currency": "USD",
"exchange_rate": {
"NGN": 0.0006793571437101728
},
"external_reference": "QO-74jiZdRypNHmbTyRIYSvEHMQks9PJ1sg",
"pricing_strategy": "MAXIMUM",
"metadata": {
"pickup_address": {
"line1": "Oladimeji street",
"line2": "",
"city": "Surulere",
"state": "Lagos",
"country": "NG",
"zip": "101241"
},
"delivery_address": {
"line1": "7372 PARKRIDGE BLVD, APT 286, 2903 sprank",
"city": "IRVING",
"state": "Texas",
"country": "US",
"zip": "75063-8659"
},
"items": [
{
"description": "Apple MacBook Pro with Charger, Wireless mouse and Keyboard",
"name": "0% off on Offer on deals",
"currency": "NGN",
"value": 1399,
"quantity": 1,
"weight": 2,
"hs_code": "123456789"
}
]
},
"user": "USER-1234567890",
"reversed": false,
"transaction_reference": null,
"_id": "69c4e1a4411b643d5aa2b0f0",
"duty_fee_id": "DF-00076781642592177928974983940005",
"created_at": "2026-03-26T07:35:00.160Z",
"updated_at": "2026-03-26T07:35:00.160Z",
"__v": 0,
"id": "69c4e1a4411b643d5aa2b0f0"
}
}Last updated
Was this helpful?